# Mountpoint exporter

This is a very simple application that runs as a server (on the designated host address and port,
see `--help`) and provides mount point info.

It is designed to solve the yet-unsolved problem of filtering out bind mounts exposed in issue
https://github.com/prometheus/node_exporter/issues/600 .

Every device mounted more than once will have a label `is_bind` set to `yes` in the metric
corresponding to that mount.

## Installation

Run `make rpm` to make an installable RPM for your Fedora or Red Hat system.

The file `/etc/default/mountpoint_exporter` can have command line arguments to configure the
behavior of the package.
